Subject: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Aug 2021 16:06:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 16 Aug 2021 14:36:40 +0200
> Cc: [email-masked]
> 
> > Since the buffer was killed intentionally, shouldn't it be possible to
> > configure Emacs such that the auto save file will be deleted?
> 
> I think that sounds like a reasonable feature -- I can see people
> getting annoyed at Emacs' behaviour here.  Perhaps the way to implement
> this would be to:
> 
> Quit Emacs: `C-x C-c RET'
> Save file: `n'
> Delete auto-save file?: `yes RET'
> 
> That is, introduce a new option that would offer to delete auto-save
> files for buffers the user chooses not to save.  This could even be done
> generally -- not just during shutdown -- afer the
> 
> Buffer foo modified; kill anyway? yes RET
> 
> dialogue.  (This would be an opt-in user option, of course, because the
> current behaviour is safer.)
> 
> Any opinions?

We all know that people sometimes react to questions without thinking,
so if the user says YES to the question whether to delete auto-save
files, it could be a second before OOPS!

So I think it's okay to have such a feature, but:

  . it should be OFF by default; and
  . it should NOT by default ask the additional question